Method: projects.locations.environments.hibernate

Hibernates (pauses) a running environment. It requests the environment to switch to the HIBERNATED state, keeping its data and minimizing cost, but not running any DAGs.

This method is supported for Cloud Composer environments in development mode in versions composer-3-airflow-*.*.*-build.* and newer.

HTTP request

POST https://composer.googleapis.com/v1beta1/{name=projects/*/locations/*/environments/*}:hibernate

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The resource name of the environment to hibernate, in the form: "projects/{project}/locations/{location}/environments/{environment}"

Authorization requires the following IAM permission on the specified resource name:

  • composer.environments.update

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloudcomposer
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.